<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Aryx
 * @since 1.0
 */
get_header();
?>
	<?php
		$default_content_layout = get_theme_mod( 'aryx_f_default_content_layout_s_container_p_layout', 'fixed-width' );
		$page_content_layout = get_theme_mod( 'aryx_f_page_content_layout_s_container_p_layout', 'default-width' );
		if ( $page_content_layout == 'default-width' ) {
			if ( $default_content_layout == 'fixed-width' ) {
				echo '<div class="container">';
			} elseif ( $default_content_layout == 'full-width' ) {
				echo '<div class="container-fluid">';
			}
		} elseif ( $page_content_layout == 'fixed-width' ) {
			echo '<div class="container">';
		} elseif ( $page_content_layout == 'full-width' ) {
			echo '<div class="container-fluid">';
		}
	?>
		<div class="row">
			<?php
				$page_sidebar_layout = get_theme_mod( 'aryx_f_page_sidebar_layout_s_sidebar_p_layout', '' );
				$default_sidebar_layout = get_theme_mod( 'aryx_f_default_sidebar_layout_s_sidebar_p_layout', 'right-sidebar' );
				/* Check if left sidebar is selected and output accordingly */
				if ( $default_sidebar_layout == 'left-sidebar' ) {
					get_sidebar();
				}
				/* Content Area Col Class */
				if ( $default_sidebar_layout == 'left-sidebar' || $default_sidebar_layout == 'right-sidebar' ) {
					$content_area_class = 'col-md-9';
				} else {
					$content_area_class = 'col-md-12';
				}
			?>
			<div id="primary" class="content-area <?php echo $content_area_class; ?>">	
				<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'aryx' ); ?></h1>
			</div><!-- /#primary -->
			<?php
				/* Check if right sidebar is selected and output accordingly */
				if ( $default_sidebar_layout == 'right-sidebar' ) {
					get_sidebar();
				}
			?>
		</div> <!-- /.row -->
	</div> <!-- /.container (/.container-fluid) -->
<?php
get_footer();