<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aryx
 * @since 1.0
 */
get_header();
?>
	<?php
		$archive_content_layout = get_theme_mod( 'aryx_f_archive_content_layout_s_container_p_layout', 'default-width' );
		$default_content_layout = get_theme_mod( 'aryx_f_default_content_layout_s_container_p_layout', 'fixed-width' );
		$show_breadcrumb = get_theme_mod( 'aryx_f_show_breadcrumb_s_breadcrumb_p_header', '1' );
		if ( $archive_content_layout == 'default-width' ) {
			if ( $default_content_layout == 'fixed-width' ) {
				echo '<div class="container">';
			} elseif ( $default_content_layout == 'full-width' ) {
				echo '<div class="container-fluid">';
			}
		} elseif ( $archive_content_layout == 'fixed-width' ) {
			echo '<div class="container">';
		} elseif ( $archive_content_layout == 'full-width' ) {
			echo '<div class="container-fluid">';
		}
	?>
		<?php $show_breadcrumb == 1 ? aryx_breadcrumb() : '' ?>
		<div class="row">
			<?php
				$archive_sidebar_layout = get_theme_mod( 'aryx_f_archive_sidebar_layout_s_sidebar_p_layout', 'default-sidebar' );
				$default_sidebar_layout = get_theme_mod( 'aryx_f_default_sidebar_layout_s_sidebar_p_layout', 'right-sidebar' );
				/* Check if left sidebar is selected and output accordingly */
				if ( $archive_sidebar_layout == 'default-sidebar' ) {
					if ( $default_sidebar_layout == 'left-sidebar' ) {
						get_sidebar();
					}
				} elseif ( $archive_sidebar_layout == 'left-sidebar' ) {
					get_sidebar();
				}
				/* Content Area Col Class */
				if ( $archive_sidebar_layout == 'default-sidebar' ) {
					if ( $default_sidebar_layout == 'left-sidebar' || $default_sidebar_layout == 'right-sidebar' ) {
						$content_area_class = 'col-md-9';
					} else {
						$content_area_class = 'col-md-12';
					}
				} elseif ( $archive_sidebar_layout == 'left-sidebar' || $archive_sidebar_layout == 'right-sidebar' ) {
					$content_area_class = 'col-md-9';
				} else {
					$content_area_class = 'col-md-12';
				}
			?>
			<div id="primary content" class="content-area <?php echo $content_area_class; ?>">
				<?php
					$disable_title = get_post_meta( $post->ID, 'aryx_disable_title', true );
					if ( $disable_title != 'disabled' ) {			
				?>
						<header class="entry-header">
							<?php the_archive_title(); ?>
						</header>
				<?php
					}
				?>
				<?php if ( have_posts() ) {
					while ( have_posts() ) {
						the_post();
						get_template_part( 'template-parts/content', get_post_type() );
					}
				} else {
					get_template_part( 'template-parts/content', 'none' );
				} ?>
			</div> <!-- /#primary -->
			<?php
				/* Check if right sidebar is selected and output accordingly */
				if ( $archive_sidebar_layout == 'default-sidebar' ) {
					if ( $default_sidebar_layout == 'right-sidebar' ) {
						get_sidebar();
					}
				} elseif ( $archive_sidebar_layout == 'right-sidebar' ) {
					get_sidebar();
				}
			?>
		</div> <!-- /.row -->
	</div> <!-- /.container (/.container-fluid) -->
<?php
get_footer();