<?php
/**
 * Enqueue Aryx styles and scripts 
 *
 * @package Aryx
 */

/**
 * Enqueue front-end scripts and styles.
 */
function aryx_front_scripts() {

	$asset_optimization = get_theme_mod( 'aryx_f_asset_optimization_s_asset_optimization_p_optimization', true );

    if ( $asset_optimization == 'minified' ) {

		wp_enqueue_style( 'aryx-front-bootstrap-styles-min', get_template_directory_uri() . '/assets/dist/front/raw/css/bootstrap.min.css' );
		wp_enqueue_style( 'aryx-front-main-styles-raw-min', get_template_directory_uri() . '/assets/dist/front/raw/css/aryx-front-raw.min.css' );
        wp_enqueue_script( 'aryx-front-popper-scripts-min', get_template_directory_uri() . '/assets/dist/front/raw/js/popper.min.js', array( 'jquery' ), '', true );
        wp_enqueue_script( 'aryx-front-bootstrap-scripts-min', get_template_directory_uri() . '/assets/dist/front/raw/js/bootstrap.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'aryx-front-main-scripts-raw-min', get_template_directory_uri() . '/assets/dist/front/raw/js/aryx-front-raw.min.js', array( 'jquery' ), '', true );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}

	} else {

		wp_enqueue_style( 'aryx-front-bootstrap-styles-raw', get_template_directory_uri() . '/assets/dist/front/raw/css/bootstrap.css' );
		wp_enqueue_style( 'aryx-front-main-styles-raw', get_template_directory_uri() . '/assets/dist/front/raw/css/aryx-front-raw.css' );
        wp_enqueue_script( 'aryx-front-popper-scripts-raw', get_template_directory_uri() . '/assets/dist/front/raw/js/popper.js', array( 'jquery' ), '', true );
        wp_enqueue_script( 'aryx-front-bootstrap-scripts-raw', get_template_directory_uri() . '/assets/dist/front/raw/js/bootstrap.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'aryx-front-main-scripts-raw', get_template_directory_uri() . '/assets/dist/front/raw/js/aryx-front-raw.js', array( 'jquery' ), '', true );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}

	}

}
add_action( 'wp_enqueue_scripts', 'aryx_front_scripts' );

/**
 * Enqueue back-end scripts and styles.
 */
function aryx_admin_scripts() {

    $asset_optimization = get_theme_mod( 'aryx_f_asset_optimization_s_asset_optimization_p_optimization', true );

    if ( $asset_optimization == 'minified' ) {

        wp_enqueue_style('aryx-admin-styles', get_template_directory_uri() . '/assets/dist/admin/raw/css/aryx-admin-raw.min.css');

    } else {

        wp_enqueue_style('aryx-admin-styles', get_template_directory_uri() . '/assets/dist/admin/raw/css/aryx-admin-raw.css');

    }

}
add_action( 'admin_enqueue_scripts', 'aryx_admin_scripts' );
