<?php
/**
 * bbPress Compatibility File
 *
 * @link https://bbpress.org/
 *
 * @package Aryx
 */

/**
 * bbPress specific scripts & stylesheets.
 *
 * @return void
 */

function deregister_bbpress_styles() {
	wp_deregister_style( 'bbp-default' );
}
add_action( 'wp_print_styles', 'deregister_bbpress_styles', 15 );

function aryx_bbpress_scripts() {
	/*
	 * This is temporarily targetted to the vendors folder.
	 * We'll introduce a condition in the theme to let the user
	 * choose if they want to deliver optimized files or raw files.
	 * Depending on the choice, we'll enqueue raw files from the vendors folder
	 * or optimized (combined and minified) file from the dist folder
	 */
	wp_enqueue_style( 'aryx-bbpress-style', get_template_directory_uri() . '/assets/compatibility/bbpress/css/aryx-bbpress.css' );

}
add_action( 'wp_enqueue_scripts', 'aryx_bbpress_scripts' );