<?php
/**
 * Aryx Inline Styles from Customizer
 *
 * @package Aryx
 */
function inject_inline_styles() {
	$body_font = get_theme_mod(
		'aryx_f_base_typography_s_base_typography_p_typography',
		array (
			'font-family'   					=> 'Poppins',
			'variant'       					=> '300',
			'font-size'     					=> '15px',
			'line-height'   					=> '1.5',
			'letter-spacing'					=> 'normal',
			'text-transform'					=> 'none'
		)
	);
	$primary_button_text_color = get_theme_mod(
		'aryx_f_primary_button_text_color_ss_button_colors_s_content_colors_p_colors',
		array (
			'normal'            				=> '#ffffff',
        	'hover'             				=> '#00a8ff'
		)
	);
	$primary_button_background_color = get_theme_mod(
		'aryx_f_primary_button_background_color_ss_button_colors_s_content_colors_p_colors', 
		array (
			'normal'							=> '#00a8ff',
			'hover'								=> '#fff'
		)
	);
	$primary_button_border_color = get_theme_mod(
		'aryx_f_primary_button_border_color_ss_button_colors_s_content_colors_p_colors',
		array (
			'normal'            				=> '#00a8ff',
        	'hover'             				=> '#00a8ff'
		)
	);
	$primary_button_vertical_padding = get_theme_mod( 'aryx_f_vertical_padding_ss_primary_button_s_buttons_p_layout', '10' );
	$primary_button_horizontal_padding = get_theme_mod( 'aryx_f_horizontal_padding_ss_primary_button_s_buttons_p_layout', '25' );
	$primary_button_border_width = get_theme_mod( 'aryx_f_border_width_ss_primary_button_s_buttons_p_layout', '1' );
	$primary_button_border_radius = get_theme_mod( 
		'aryx_f_border_radius_ss_primary_button_s_buttons_p_layout',
		array (
			'border-top-left-radius'    		=> '0px',
			'border-top-right-radius' 			=> '0px',
			'border-bottom-left-radius'  		=> '0px',
			'border-bottom-right-radius'   		=> '0px',
		)
	);
	$secondary_button_text_color = get_theme_mod(
		'aryx_f_secondary_button_text_color_ss_button_colors_s_content_colors_p_colors',
		array (
			'normal'            				=> '#00a8ff',
        	'hover'             				=> '#ffffff'
		)
	);
	$secondary_button_background_color = get_theme_mod(
		'aryx_f_secondary_button_background_color_ss_button_colors_s_content_colors_p_colors',
		array (
			'normal'            				=> '#ffffff',
        	'hover'             				=> '#00a8ff'
		)
	);
	$secondary_button_border_color = get_theme_mod(
		'aryx_f_secondary_button_border_color_ss_button_colors_s_content_colors_p_colors',
		array (
			'normal'            				=> '#00a8ff',
        	'hover'             				=> '#00a8ff'
		)
	);
	$secondary_button_vertical_padding = get_theme_mod( 'aryx_f_vertical_padding_ss_secondary_button_s_buttons_p_layout', '10' );
	$secondary_button_horizontal_padding = get_theme_mod( 'aryx_f_horizontal_padding_ss_secondary_button_s_buttons_p_layout', '25' );
	$secondary_button_border_width = get_theme_mod( 'aryx_f_border_width_ss_secondary_button_s_buttons_p_layout', '1' );
	$secondary_button_border_radius = get_theme_mod( 
		'aryx_f_border_radius_ss_secondary_button_s_buttons_p_layout',
		array (
			'border-top-left-radius'    		=> '0px',
			'border-top-right-radius' 			=> '0px',
			'border-bottom-left-radius'  		=> '0px',
			'border-bottom-right-radius'   		=> '0px',
		)
	);

	$container_inside_spacing_desktop = get_theme_mod( 
		'aryx_f_inside_container_spacing_s_container_p_layout',
		array (
			'padding-top'  						=> '0px',
			'padding-bottom'  					=> '0px',
			'padding-left' 						=> '15px',
			'padding-right' 					=> '50px',
		)
	);
	$container_outside_spacing_desktop = get_theme_mod( 
		'aryx_f_outside_container_spacing_s_container_p_layout',
		array (
			'margin-top'  						=> '0px',
			'margin-bottom'  					=> '0px',
		)
	);
	$sidebar_inside_spacing_desktop = get_theme_mod( 
		'aryx_f_inside_sidebar_spacing_s_sidebar_p_layout',
		array (
			'padding-top'  						=> '0px',
			'padding-bottom'  					=> '0px',
			'padding-left' 						=> '15px',
			'padding-right' 					=> '15px',
		)
	);
	$sidebar_outside_spacing_desktop = get_theme_mod( 
		'aryx_f_outside_sidebar_spacing_s_sidebar_p_layout',
		array (
			'margin-top'  						=> '0px',
			'margin-bottom'  					=> '0px',
		)
	);
	$header_border = get_theme_mod( 'aryx_f_bottom_border_enabler_s_header_settings_p_header', 'true' );
	$header_bottom_border_color = get_theme_mod( 'aryx_f_bottom_border_color_ss_general_header_colors_s_header_colors_p_colors', '#f4f4f4' );
	$header_bottom_border_size = get_theme_mod( 'aryx_f_bottom_border_size_s_header_settings_p_header', '1' );
	$header_height = get_theme_mod( 'aryx_f_header_height_s_header_settings_p_header', 'auto' );
	$logo_width = get_theme_mod( 'aryx_f_logo_width_s_header_settings_p_header', '200' );
	$logo_text_color = get_theme_mod( 'aryx_f_logo_text_color_ss_general_header_colors_s_header_colors_p_colors', '#000000' );
	$burger_menu_background_color = get_theme_mod( 'aryx_f_burger_menu_background_color_ss_general_header_colors_s_header_colors_p_colors', 'transparent' );
	$burger_menu_icon_color = get_theme_mod( 'aryx_f_burger_menu_icon_color_ss_general_header_colors_s_header_colors_p_colors', '#000' );
	$burger_menu_border_color = get_theme_mod( 'aryx_f_burger_menu_border_color_ss_general_header_colors_s_header_colors_p_colors', '#f4f4f4' );
	$breadcrumb_background_color = get_theme_mod( 'aryx_f_background_color_ss_breadcrumb_colors_s_header_colors_p_colors', '#fff' );
	$breadcrumb_text_color = get_theme_mod( 'aryx_f_text_color_ss_breadcrumb_colors_s_header_colors_p_colors', '#000' );
	$breadcrumb_link_color = get_theme_mod( 'aryx_f_link_color_ss_breadcrumb_colors_s_header_colors_p_colors', '#00a8ff' );
	$breadcrumb_link_hover_color = get_theme_mod( 'aryx_f_link_hover_color_ss_breadcrumb_colors_s_header_colors_p_colors', '#000' );
	$primary_color = get_theme_mod( 'aryx_f_primary_color_s_base_colors_p_colors', '#00a8ff' );
	$text_color = get_theme_mod( 'aryx_f_text_color_ss_text_colors_s_content_colors_p_colors', '#000' );
	$paragraph_bottom_margin = get_theme_mod( 'aryx_f_paragraph_bottom_margin_s_base_typography_p_typography', '15px' );
	$blockquote_color = get_theme_mod( 'aryx_f_blockquote_color_ss_text_colors_s_content_colors_p_colors', '#6F6F6F' );
	$archive_term_text_color = get_theme_mod( 'aryx_f_archive_term_text_color_ss_text_colors_s_content_colors_p_colors', '#fff' );
	$h1_color = get_theme_mod( 'aryx_f_h1_color_ss_heading_colors_s_content_colors_p_colors', '#000' );
	$h2_color = get_theme_mod( 'aryx_f_h2_color_ss_heading_colors_s_content_colors_p_colors', '#000' );
	$h3_color = get_theme_mod( 'aryx_f_h3_color_ss_heading_colors_s_content_colors_p_colors', '#000' );
	$h4_color = get_theme_mod( 'aryx_f_h4_color_ss_heading_colors_s_content_colors_p_colors', '#000' );
	$h5_color = get_theme_mod( 'aryx_f_h5_color_ss_heading_colors_s_content_colors_p_colors', '#000' );
	$h6_color = get_theme_mod( 'aryx_f_h6_color_ss_heading_colors_s_content_colors_p_colors', '#000' );
	$link_color = get_theme_mod( 'aryx_f_link_color_ss_link_colors_s_content_colors_p_colors', '#00a8ff' );
	$link_hover_color = get_theme_mod( 'aryx_f_link_hover_color_ss_link_colors_s_content_colors_p_colors', '#000' );
	$background_color = get_theme_mod( 'aryx_f_bg_color_s_base_colors_p_colors', '#fff' );
	$header_bg_color = get_theme_mod( 'aryx_f_header_bg_color_s_header_colors_p_colors', '#fff' );
	$menu_link_color = get_theme_mod( 'aryx_f_menu_link_color_ss_general_header_colors_s_header_colors_p_colors', '#00a8ff' );
	$menu_link_hover_color = get_theme_mod( 'aryx_menu_link_hover_color_ss_general_header_colors_s_header_colors_p_colors', '#000' );
	$active_menu_color = get_theme_mod('aryx_active_menu_color_ss_general_header_colors_s_header_colors_p_colors', '#000');
	$breadcrumb_spacing = get_theme_mod( 'aryx_f_breadcrumb_spacing_s_breadcrumb_p_header', '12');
	$container_width = get_theme_mod( 'aryx_f_container_width_s_container_p_layout', '1140' );
	$footer_widget_title_color = get_theme_mod( 'aryx_f_widget_title_color_ss_footer_widget_colors_s_footer_colors_p_colors', '#000' );
	$footer_widget_text_color = get_theme_mod( 'aryx_f_text_color_ss_footer_widget_colors_s_footer_colors_p_colors', '#000' );
	$footer_widget_link_color = get_theme_mod( 'aryx_f_link_color_ss_footer_widget_colors_s_footer_colors_p_colors', '#00a8ff' );
	$footer_widget_link_hover_color = get_theme_mod( 'aryx_f_link_hover_color_ss_footer_widget_colors_s_footer_colors_p_colors', '#000' );
	$footer_widget_top_border = get_theme_mod( 'aryx_f_footer_widget_area_top_border_s_footer_widget_area_p_footer', 'true' );
	$footer_widget_top_border_color = get_theme_mod( 'aryx_f_footer_widget_top_border_color_ss_footer_widget_colors_s_footer_colors_p_colors', '#f4f4f4' );
	$footer_widget_top_border_size = get_theme_mod( 'aryx_f_footer_widget_top_border_size_s_footer_settings_p_footer', '1' );
	$footer_bar_text_color = get_theme_mod( 'aryx_f_text_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#000' );
	$footer_bar_link_color = get_theme_mod( 'aryx_f_link_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#00a8ff' );
	$footer_bar_link_hover_color = get_theme_mod( 'aryx_f_link_hover_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#000' );
	$footer_menu_link_color = get_theme_mod( 'aryx_f_menu_link_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#00a8ff' );
	$footer_menu_link_hover_color = get_theme_mod( 'aryx_f_menu_link_hover_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#000' );
	$footer_active_menu_color = get_theme_mod( 'aryx_f_active_menu_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#000' );
	$footer_bar_top_border = get_theme_mod( 'aryx_f_footer_bar_area_top_border_s_footer_bar_area_p_footer', 'false' );
	$footer_bar_top_border_color = get_theme_mod( 'aryx_f_footer_bar_top_border_color_ss_footer_bar_colors_s_footer_colors_p_colors', '#f4f4f4' );
	$footer_bar_top_border_size = get_theme_mod( 'aryx_f_footer_bar_top_border_size_s_footer_settings_p_footer', '1' );
	$footer_bar_height = get_theme_mod( 'aryx_f_footer_bar_height_s_footer_settings_p_footer', 'auto' );
	$archive_term_background_color = get_theme_mod( 'aryx_f_archive_term_background_color_s_base_colors_p_colors', $primary_color );
	$meta_text_color = get_theme_mod( 'aryx_f_meta_text_color_ss_blog_meta_colors_s_content_colors_p_colors', $text_color );
	$meta_link_color = get_theme_mod( 'aryx_f_meta_link_color_ss_blog_meta_colors_s_content_colors_p_colors', $link_color );
	$meta_link_hover_color = get_theme_mod( 'aryx_f_meta_link_hover_color_ss_blog_meta_colors_s_content_colors_p_colors', $link_hover_color );
	$sidebar_widget_title_color = get_theme_mod( 'aryx_f_widget_title_color_s_sidebar_colors_p_colors', $h2_color );
	$sidebar_widget_text_color = get_theme_mod( 'aryx_f_widget_text_color_s_sidebar_colors_p_colors', $text_color );
	$sidebar_link_color = get_theme_mod( 'aryx_f_link_color_s_sidebar_colors_p_colors', $link_color );
	$sidebar_link_hover_color = get_theme_mod( 'aryx_f_link_hover_color_s_sidebar_colors_p_colors', $link_hover_color );
	$sidebar_border_color = get_theme_mod( 'aryx_f_widget_boder_color_s_sidebar_colors_p_colors', '#f4f4f4' );
	?>
		<style id="aryx-inline-styles">
			/* Reset Elementor Widget Generic Color, Font Family and Font-Weight */
			<?php global $post;
				if( class_exists('\Elementor\Plugin') && \Elementor\Plugin::$instance->db->is_built_with_elementor($post->ID) ){ 
			?>
			.elementor .elementor-widget-heading .elementor-heading-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-image .widget-image-caption {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-text-editor {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap {
			    background-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap,
			.elementor .elementor-widget-text-editor.elementor-drop-cap-view-default .elementor-drop-cap {
			    color: <?php echo $text_color; ?>;
			    border-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-button a.elementor-button,
			.elementor .elementor-widget-button .elementor-button {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			    color: <?php echo $primary_button_text_color['normal']; ?>;
			    background-color: <?php echo $primary_button_background_color['normal']; ?>;
			}
			.elementor .elementor-widget-button a.elementor-button:hover,
			.elementor .elementor-widget-button .elementor-button:hover,
			.elementor .elementor-widget-button a.elementor-button:focus,
			.elementor .elementor-widget-button .elementor-button:focus {
			    color: <?php echo $primary_button_text_color['hover']; ?>;
			    background-color: <?php echo $primary_button_background_color['hover']; ?>;
			}
			.elementor .elementor-widget-divider {
			    --divider-border-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-divider .elementor-divider__text {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-divider.elementor-view-stacked .elementor-icon {
			    background-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-divider.elementor-view-framed .elementor-icon,
			.elementor .elementor-widget-divider.elementor-view-default .elementor-icon {
			    color: <?php echo $primary_color; ?>;
			    border-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-divider.elementor-view-framed .elementor-icon,
			.elementor .elementor-widget-divider.elementor-view-default .elementor-icon svg {
			    fill: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-image-box .elementor-image-box-content .elementor-image-box-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-image-box .elementor-image-box-content .elementor-image-box-description {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-icon.elementor-view-stacked .elementor-icon {
			    background-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon.elementor-view-framed .elementor-icon,
			.elementor .elementor-widget-icon.elementor-view-default .elementor-icon {
			    color: <?php echo $primary_color; ?>;
			    border-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon.elementor-view-framed .elementor-icon,
			.elementor .elementor-widget-icon.elementor-view-default .elementor-icon svg {
			    fill: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon-box.elementor-view-stacked .elementor-icon {
			    background-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon-box.elementor-view-framed .elementor-icon,
			.elementor .elementor-widget-icon-box.elementor-view-default .elementor-icon {
			    fill: <?php echo $primary_color; ?>;
			    color: <?php echo $primary_color; ?>;
			    border-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon-box .elementor-icon-box-content .elementor-icon-box-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-icon-box .elementor-icon-box-content .elementor-icon-box-description {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-star-rating .elementor-star-rating__title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-image-carousel .elementor-image-carousel-caption {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-image-gallery .gallery-item .gallery-caption {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-icon-list .elementor-icon-list-item:not(:last-child):after {
			    border-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon-list .elementor-icon-list-icon i {
			    color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon-list .elementor-icon-list-icon svg {
			    fill: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-icon-list .elementor-icon-list-text {
			    color: <?php echo $text_color; ?>;
			}
			.elementor .elementor-widget-icon-list .elementor-icon-list-item {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-counter .elementor-counter-number-wrapper {
			    color: <?php echo $primary_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-counter .elementor-counter-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-progress .elementor-progress-wrapper .elementor-progress-bar {
			    background-color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-progress .elementor-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-testimonial .elementor-testimonial-content {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-testimonial .elementor-testimonial-name {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-testimonial .elementor-testimonial-job {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-tabs .elementor-tab-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-tabs .elementor-tab-title.elementor-active {
			    color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-tabs .elementor-tab-content {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-accordion .elementor-accordion .elementor-tab-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-accordion .elementor-accordion .elementor-tab-title.elementor-active {
			    color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-accordion .elementor-accordion .elementor-tab-content {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-toggle .elementor-toggle .elementor-tab-title {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-toggle .elementor-toggle .elementor-tab-title.elementor-active {
			    color: <?php echo $primary_color; ?>;
			}
			.elementor .elementor-widget-toggle .elementor-toggle .elementor-tab-content {
			    color: <?php echo $text_color; ?>;
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-alert .elementor-alert-title {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-widget-alert .elementor-alert-description {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			}
			.elementor .elementor-image-gallery .gallery {
			    margin: 0;
			    width: 100%;
			}
			.elementor-image-gallery .gallery-item {
				padding: .8em;
			}
			<?php 
				}
			?>
			/* Primary Header */
			header#masthead {
			    border-bottom: <?php echo $header_border ? $header_bottom_border_size . 'px solid ' . $header_bottom_border_color : 'none'; ?>;
			}
			@media (min-width: 992px){
				nav#primary-nav {
				    height: <?php echo $header_height == 0 ? 'auto' : $header_height.'px'; ?>;
				}
			}
			nav#primary-nav {
				background-color: <?php echo $header_bg_color; ?>;
			}
			/* Primary Menu */
			#primary-nav .navbar-nav .nav-link {
				color: <?php echo $menu_link_color; ?>;
			}
			#primary-nav .navbar-nav .nav-link:hover,
			#primary-nav .navbar-nav .nav-link:focus {
				color: <?php echo $menu_link_hover_color; ?>;
			}
			#primary-nav .navbar-nav .active a {
			    color: <?php echo $active_menu_color; ?>;
			}
			/* Logo Settings */
			.site-branding {
			    max-width: <?php echo $logo_width.'px'; ?>;
			}
			a.navbar-brand h3 {
			    color: <?php echo $logo_text_color; ?>;
			}
			button.navbar-toggler {
			    background-color: <?php echo $burger_menu_background_color; ?>;
			}
			.navbar-light .navbar-toggler {
			    border-color: <?php echo $burger_menu_border_color; ?>;
			}
			/* Breadcrumb */
			.breadcrumb {
				padding-top: <?php echo $breadcrumb_spacing.'px'; ?>;
				padding-bottom: <?php echo $breadcrumb_spacing.'px'; ?>;
				background-color: <?php echo $breadcrumb_background_color; ?>;
				color: <?php echo $breadcrumb_text_color; ?>;
			}
			.breadcrumb a {
			    color: <?php echo $breadcrumb_link_color; ?>;;
			}
			.breadcrumb a:hover {
			    color: <?php echo $breadcrumb_link_hover_color; ?>;
			}
			/* Container Spacing */
			@media only screen and ( min-width: 992px) {
				#primary {
					padding-top: <?php echo $container_inside_spacing_desktop['padding-top']; ?>;
					padding-bottom: <?php echo $container_inside_spacing_desktop['padding-bottom']; ?>;
					padding-left: <?php echo $container_inside_spacing_desktop['padding-left']; ?>;
					padding-right: <?php echo $container_inside_spacing_desktop['padding-right']; ?>;
					margin-top: <?php echo $container_outside_spacing_desktop['margin-top']; ?>;
					margin-bottom: <?php echo $container_outside_spacing_desktop['margin-bottom']; ?>;
				}
				#secondary {
					padding-top: <?php echo $sidebar_inside_spacing_desktop['padding-top']; ?>;
					padding-bottom: <?php echo $sidebar_inside_spacing_desktop['padding-bottom']; ?>;
					padding-left: <?php echo $sidebar_inside_spacing_desktop['padding-left']; ?>;
					padding-right: <?php echo $sidebar_inside_spacing_desktop['padding-right']; ?>;
					margin-top: <?php echo $sidebar_outside_spacing_desktop['margin-top']; ?>;
					margin-bottom: <?php echo $sidebar_outside_spacing_desktop['margin-bottom']; ?>;
				}
			}
			/**
			 * Typography
			 */
			/* Body Typography */
			body {
				background-color: <?php echo $background_color; ?>;
				color: <?php echo $text_color; ?>;
				font-weight: <?php echo isset( $body_font[ 'variant' ] ) ? $body_font[ 'variant' ] : '300'; ?>;
				font-size: <?php echo isset( $body_font[ 'font-size' ] ) ? $body_font[ 'font-size' ] : '15px'; ?>;
				line-height: <?php echo isset( $body_font[ 'line-height' ] ) ? $body_font[ 'line-height' ] : 1.5; ?>;
				font-family: <?php echo isset( $body_font[ 'font-family' ] ) ? $body_font[ 'font-family' ] : 'Poppins'; ?>;
				letter-spacing: <?php echo isset( $body_font[ 'letter-spacing' ] ) ? $body_font[ 'letter-spacing' ] : 'normal'; ?>;
				text-transform: <?php echo isset( $body_font[ 'text-transform' ] ) ? $body_font[ 'text-transform' ] : 'none'; ?>;
			}
			p {
				margin-bottom: <?php echo $paragraph_bottom_margin; ?>;
			}
			/**
			 * Colors
			 */
			/* Heading Color */
			h1 {
				color: <?php echo $h1_color; ?>;
			}
			h2 {
				color: <?php echo $h2_color; ?>;
			}
			h3 {
				color: <?php echo $h3_color; ?>;
			}
			h4 {
				color: <?php echo $h4_color; ?>;
			}
			h5 {
				color: <?php echo $h5_color; ?>;
			}
			h6 {
				color: <?php echo $h6_color; ?>;
			}
			/* Link Color */
			a {
				color: <?php echo $link_color; ?>;
			}
			.entry-title a,
			span.sep {
				color: <?php echo $link_color; ?>;
			}
			/* Link Hover Color */
			a:hover,
			a:focus {
				color: <?php echo $link_hover_color; ?>;
			}
			.archive-term {
				background-color: <?php echo $archive_term_background_color; ?>;
				color: <?php echo $archive_term_text_color; ?>;
			}
			.entry-title a:hover,
			.entry-title a:focus {
            	color: <?php echo $link_hover_color; ?>;
			}
			/* Blog Meta Color */
			.entry-meta {
				color: <?php echo $meta_text_color; ?>;
			}
			.cat-links a, .author.vcard a, .edit-link a {
			    color: <?php echo $meta_link_color; ?>;
			}
			.cat-links a:hover, .author.vcard a:hover, .edit-link a:hover {
			    color: <?php echo $meta_link_hover_color; ?>;
			}
			.entry-meta span:after {
			    color: <?php echo $primary_color; ?>;
			}
			/* Blockquote Color */
			 blockquote {
    			color: <?php echo $blockquote_color; ?>;
			}
			/* Form */
			form input[type="text"],
			form input[type="email"],
			form input[type="url"],
			form input[type="password"],
			form input[type="search"],
			form input[type="number"],
			form input[type="tel"],
			form input[type="range"],
			form input[type="date"],
			form input[type="month"],
			form input[type="week"],
			form input[type="time"],
			form input[type="datetime"],
			form input[type="datetime-local"],
			form input[type="color"],
			form textarea {
				border: 1px solid <?php echo $primary_color; ?>;
			}
			form input[type="text"]::placeholder,
			form input[type="email"]::placeholder,
			form input[type="url"]::placeholder,
			form input[type="password"]::placeholder,
			form input[type="search"]::placeholder,
			form input[type="number"]::placeholder,
			form input[type="tel"]::placeholder,
			form input[type="range"]::placeholder,
			form input[type="date"]::placeholder,
			form input[type="month"]::placeholder,
			form input[type="week"]::placeholder,
			form input[type="time"]::placeholder,
			form input[type="datetime"]::placeholder,
			form input[type="datetime-local"]::placeholder,
			form input[type="color"]::placeholder,
			form textarea::placeholder {
			    font-family: <?php echo $body_font['font-family']; ?>;
			    font-size: <?php echo $body_font['font-size']; ?>;
			}
			input[type="text"],
			input[type="email"],
			input[type="url"],
			input[type="tel"],
			input[type="number"],
			input[type="date"],
			select[name="dropdown"],
			textarea {
			  	color: <?php echo $text_color; ?>;
			}
			/* Primary Button */
			.btn-primary,
			.btn-primary:hover,
			.btn-primary:focus,
			.btn-primary:active,
			button,
			[type="button"],
			[type="reset"],
			[type="submit"],
			button:hover,
			[type="button"]:hover,
			[type="reset"]:hover,
			[type="submit"]:hover,
			form input[type="submit"],
			form input[type="submit"]:hover,
			form input[type="submit"]:focus,
			form input[type="submit"]:active,
			.woocommerce a.button,
			.woocommerce button.button,
			.woocommerce .woocommerce-message a.button,
			.woocommerce input.button,
			.woocommerce-cart table.cart td.actions .button,
			.woocommerce form.checkout_coupon .button,
			.woocommerce #respond input#submit,
			.woocommerce a.button.alt,
			.woocommerce button.button.alt,
			.woocommerce input.button.alt,
			.woocommerce #respond input#submit.alt,
			.wc-block-grid__products .wc-block-grid__product .wp-block-button__link,
			#bbpress-forums #subscription-toggle a,
			#bbpress-forums #favorite-toggle a,
			#bbpress-forums #subscription-toggle a:hover,
			#bbpress-forums #favorite-toggle a:hover,
			.bbp-logged-in a.button.logout-link,
			.bbp-logged-in a.button.logout-link:hover {
				padding-top: <?php echo $primary_button_vertical_padding.'px';?>;
				padding-right: <?php echo $primary_button_horizontal_padding.'px';?>;
				padding-bottom: <?php echo $primary_button_vertical_padding.'px';?>;
				padding-left: <?php echo $primary_button_horizontal_padding.'px';?>;
				border-top-left-radius: <?php echo $primary_button_border_radius['border-top-left-radius']; ?>;
				border-top-right-radius: <?php echo $primary_button_border_radius['border-top-right-radius']; ?>;
				border-bottom-left-radius: <?php echo $primary_button_border_radius['border-bottom-left-radius']; ?>;
				border-bottom-right-radius: <?php echo $primary_button_border_radius['border-bottom-right-radius']; ?>;
			}
			.btn-primary,
			button,
			[type="button"],
			[type="reset"],
			[type="submit"],
			form input[type="submit"],
			aside#secondary a.button,
			.woocommerce a.button,
			.woocommerce button.button,
			.woocommerce .woocommerce-message a.button,
			.woocommerce input.button,
			.woocommerce #respond input#submit,
			.woocommerce a.button.alt,
			.woocommerce button.button.alt,
			.woocommerce input.button.alt,
			.woocommerce #respond input#submit.alt,
			.woocommerce input.button:disabled,
			.woocommerce input.button:disabled[disabled],
			.woocommerce input.button:disabled:hover,
			.woocommerce input.button:disabled[disabled]:hover,
			.woocommerce button.button.alt.disabled,
			.woocommerce button.button.disabled,
			.woocommerce button.button:disabled[disabled],
			.wc-block-grid__products .wc-block-grid__product .wp-block-button__link,
			.wc-block-grid__product-onsale,
			section.widget.widget_product_search form button,
			#bbpress-forums #subscription-toggle a,
			#bbpress-forums #favorite-toggle a,
			.bbp-logged-in a.button.logout-link {
				border: <?php echo $primary_button_border_width . 'px solid ' . $primary_button_border_color['normal']; ?>;
				color: <?php echo $primary_button_text_color['normal']; ?>;
				background-color: <?php echo $primary_button_background_color['normal']; ?>;
				text-align: center;
			}
			.btn-primary:hover,
			.btn-primary:focus,
			.btn-primary:active,
			button:hover,
			[type="button"]:hover,
			[type="reset"]:hover,
			[type="submit"]:hover,
			form input[type="submit"]:hover,
			form input[type="submit"]:focus,
			form input[type="submit"]:active,
			aside#secondary a.button:hover,
			.woocommerce a.button:hover,
			.woocommerce button.button:hover,
			.woocommerce .woocommerce-message a.button:hover,
			.woocommerce input.button:hover,
			.woocommerce-cart table.cart td.actions .button:hover,
			.woocommerce form.checkout_coupon .button:hover,
			.woocommerce #respond input#submit:hover,
			.woocommerce a.button.alt:hover,
			.woocommerce button.button.alt:hover,
			.woocommerce input.button.alt:hover,
			.woocommerce #respond input#submit.alt:hover,
			.woocommerce input.button:disabled:hover,
			.woocommerce input.button:disabled[disabled]:hover,
			.woocommerce input.button:disabled:hover,
			.woocommerce input.button:disabled[disabled]:hover,
			.woocommerce button.button.alt.disabled:hover,
			.woocommerce button.button.disabled:hover,
			.woocommerce button.button:disabled[disabled]:hover,
			.wc-block-grid__products .wc-block-grid__product .wp-block-button__link:hover,
			.wc-block-grid__product-onsale:hover,
			section.widget.widget_product_search form button[type="submit"]:hover,
			#bbpress-forums #subscription-toggle a:hover,
			#bbpress-forums #favorite-toggle a:hover,
			.bbp-logged-in a.button.logout-link:hover {
				border: <?php echo $primary_button_border_width . 'px solid ' . $primary_button_border_color['hover']; ?>;
				color: <?php echo $primary_button_text_color['hover']; ?>;
				background-color: <?php echo $primary_button_background_color['hover']; ?>;

			}
			/* Secondary Button */
			.btn-secondary,
			.btn-secondary:hover,
			.btn-secondary:focus,
			.btn-secondary:active {
				padding-top: <?php echo $secondary_button_vertical_padding.'px';?>;
				padding-right: <?php echo $secondary_button_horizontal_padding.'px';?>;
				padding-bottom: <?php echo $secondary_button_vertical_padding.'px';?>;
				padding-left: <?php echo $secondary_button_horizontal_padding.'px';?>;
				border-top-left-radius: <?php echo $secondary_button_border_radius['border-top-left-radius']; ?>;
				border-top-right-radius: <?php echo $secondary_button_border_radius['border-top-right-radius']; ?>;
				border-bottom-left-radius: <?php echo $secondary_button_border_radius['border-bottom-left-radius']; ?>;
				border-bottom-right-radius: <?php echo $secondary_button_border_radius['border-bottom-right-radius']; ?>;
			}
			.btn-secondary {
				border: <?php echo $secondary_button_border_width . 'px solid ' . $secondary_button_border_color['normal']; ?>;
				color: <?php echo $secondary_button_text_color['normal']; ?>;
				background-color: <?php echo $secondary_button_background_color['normal']; ?>;
			}
			.btn-secondary:hover,
			.btn-secondary:focus,
			.btn-secondary:active {
				border: <?php echo $secondary_button_border_width . 'px solid ' . $secondary_button_border_color['hover']; ?>;
				color: <?php echo $secondary_button_text_color['hover']; ?>;
				background-color: <?php echo $secondary_button_background_color['hover']; ?>;
			}
			/* WooCommerce */
			.woocommerce span.onsale,
			.woocommerce nav.woocommerce-pagination ul li a:focus,
			.woocommerce nav.woocommerce-pagination ul li a:hover,
			.woocommerce nav.woocommerce-pagination ul li span.current,
			.woocommerce div.product .woocommerce-tabs ul.tabs li.active:after,
			.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
			.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
			    background: <?php echo $primary_color; ?>;
			}
			.woocommerce nav.woocommerce-pagination ul li a,
			.woocommerce nav.woocommerce-pagination ul li span,
			.woocommerce-info::before,
			.woocommerce-message::before,
			.star-rating {
			    color: <?php echo $primary_color; ?>;
			}
			.woocommerce-info,
			.woocommerce-message {
			    border-top-color: <?php echo $primary_color; ?>;
			}
			/* bbpress */
			.bbp-topics-front ul.super-sticky,
			.bbp-topics ul.super-sticky,
			.bbp-topics ul.sticky,
			.bbp-forum-content ul.sticky,
			div.bbp-template-notice,
			div.indicator-hint {
				border-left: 5px solid <?php echo $primary_color; ?>;
			}
			.bbp-reply-content p {
				font-family: <?php echo $body_font['font-family']; ?>;
			    font-weight: <?php echo $body_font['variant']; ?>;
			    line-height: <?php echo $body_font['line-height']; ?>;
			}
			/* Sidebar Color */
			section.widget h2.widget-title {
			    color: <?php echo $sidebar_widget_title_color; ?>;
			}
			aside#secondary, aside caption {
			    color: <?php echo $sidebar_widget_text_color; ?>;
			}
			aside#secondary a {
				color: <?php echo $sidebar_link_color; ?>;
			}
			aside#secondary a:hover,
			aside#secondary a:focus {
            	color: <?php echo $sidebar_link_hover_color; ?>;
			}
			/* Custom Container Width */
			<?php if ( isset( $container_width ) ) { ?>
						@media (min-width: 1200px) {
						    .container{
						        max-width: <?php echo $container_width; ?>px;
						    }
						}
			<?php }	?>
			/**
			 * Footer Styling
			 */
			/* Footer Widget Color */
			.footer-widget-area {
			    border-top: <?php echo $footer_widget_top_border ? $footer_widget_top_border_size . 'px solid ' . $footer_widget_top_border_color : 'none'; ?>;
			}
			.footer-widgets section.widget h2.widget-title {
			    color: <?php echo $footer_widget_title_color; ?>;
			}
			.footer-widget-area,
			.footer-widget-area caption {
				color: <?php echo $footer_widget_text_color; ?>;
			}
			.footer-widget-area a {
			    color: <?php echo $footer_widget_link_color; ?>;
			}
			.footer-widget-area a:hover,
			.footer-widget-area a:focus {
			    color: <?php echo $footer_widget_link_hover_color; ?>;
			}
			/* Footer Bar */
			.site-info-area {
			    border-top: <?php echo $footer_bar_top_border ? $footer_bar_top_border_size . 'px solid ' . $footer_bar_top_border_color : 'none'; ?>;
			    color: <?php echo $footer_bar_text_color; ?>;
			    height: <?php echo $footer_bar_height == 0 ? 'auto' : $footer_bar_height.'px'; ?>;
			}
			.site-info-area a {
			    color: <?php echo $footer_bar_link_color; ?>;
			}
			.site-info-area a:hover,
			.site-info-area a:focus {
			    color: <?php echo $footer_bar_link_hover_color; ?>;
			}
			#footer-nav .navbar-nav .nav-link {
			    color: <?php echo $footer_menu_link_color; ?>;
			}
			#footer-nav .navbar-nav .nav-link:hover,
			#footer-nav .navbar-nav .nav-link:focus {
			    color: <?php echo $footer_menu_link_hover_color; ?>;
			}
			#footer-nav .navbar-nav .active a {
			    color: <?php echo $footer_active_menu_color; ?>;
			}
		</style>
	<?php
}
add_action( 'wp_head', 'inject_inline_styles' );