<?php
/**
 * Aryx Customizer Single Post Section
 * 
 * Customizer > Colors > Single Post
 *
 * @package Aryx
 */

/*
 * Single Post Section Fields
 *
 */

/* Entry Header Sequence */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'sortable',
	'settings'    	=> 'aryx_f_archive_entry_header_s_single_post_p_blog',
	'label'       	=> esc_html__( 'Post Structure', 'aryx' ),
	'section'     	=> 'aryx_s_single_post_p_blog',
	'default'     	=> [
		'post-thumbnail',
		'entry-title',
		'entry-meta',
	],
	'choices'     	=> [
		'post-thumbnail' 	=> esc_html__( 'Featured Image', 'aryx' ),
		'entry-title' 		=> esc_html__( 'Post Title', 'aryx' ),
		'entry-meta' 		=> esc_html__( 'Post Meta', 'aryx' ),
	],
	'priority'    	=> 10,
] );

/* Entry Meta Sequence */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'sortable',
	'settings'    	=> 'aryx_f_archive_entry_meta_s_single_post_p_blog',
	'label'       	=> esc_html__( 'Meta Structure', 'aryx' ),
	'section'     	=> 'aryx_s_single_post_p_blog',
	'default'     	=> [
		'published',
		'categories',
		'author',
	],
	'choices'     	=> [
		'published' 		=> esc_html__( 'Publish Date', 'aryx' ),
		'modified' 			=> esc_html__( 'Last Modified Date', 'aryx' ),
		'categories' 		=> esc_html__( 'Category', 'aryx' ),
		'tags' 				=> esc_html__( 'Tags', 'aryx' ),
		'author' 			=> esc_html__( 'Author', 'aryx' ),
		'comment_count' 	=> esc_html__( 'Comment Count', 'aryx' )
	],
	'priority'    	=> 20,
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        => 'custom',
// 	'settings'    => 'f_aryx_pro_s_single_post_p_blog',
// 	'section'     => 'aryx_s_single_post_p_blog',
// 	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    => 200,
// ] );