<?php
/**
 * Aryx Customizer Button Colors Sub-Section
 * 
 * Customizer > Colors > Content Colors > Button Colors
 *
 * @package Aryx
 */

/*
 * Button Colors Sub-Section Fields
 *
 */

/* Primary Button Color Separator */
Kirki::add_field( 'aryx_config_kirki', array(
    'type'          => 'custom',
    'settings'      => 'aryx_f_primary_button_color_separator_ss_button_colors_s_content_colors_p_colors',
    'label'         => '<div class="kirki-separator">'.esc_html__( 'Primary Button Color', 'aryx' ).'</div>',
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 10,
) );

/* Primary Button Text Color */
Kirki::add_field( 'aryx_config_kirki', [
    'type'          => 'multicolor',
    'settings'      => 'aryx_f_primary_button_text_color_ss_button_colors_s_content_colors_p_colors',
    'label'         => esc_html__( 'Text Color', 'aryx' ),
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 20,
    'choices'       => [
        'normal'            => esc_html__( 'Normal', 'aryx' ),
        'hover'             => esc_html__( 'Hover', 'aryx' ),
    ],
    'default'       => [
        'normal'            => '#ffffff',
        'hover'             => '#00a8ff'
    ],
] );

/* Primary Button Background Color */
Kirki::add_field( 'aryx_config_kirki', [
    'type'          => 'multicolor',
    'settings'      => 'aryx_f_primary_button_background_color_ss_button_colors_s_content_colors_p_colors',
    'label'         => esc_html__( 'Backgroud Color', 'aryx' ),
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 30,
    'choices'       => [
        'normal'            => esc_html__( 'Normal', 'aryx' ),
        'hover'             => esc_html__( 'Hover', 'aryx' ),
    ],
    'default'       => [
        'normal'            => '#00a8ff',
        'hover'             => '#ffffff'
    ],
] );

/* Primary Button Border Color */
Kirki::add_field( 'aryx_config_kirki', [
    'type'          => 'multicolor',
    'settings'      => 'aryx_f_primary_button_border_color_ss_button_colors_s_content_colors_p_colors',
    'label'         => esc_html__( 'Border Color', 'aryx' ),
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 40,
    'choices'       => [
        'normal'            => esc_html__( 'Normal', 'aryx' ),
        'hover'             => esc_html__( 'Hover', 'aryx' ),
    ],
    'default'       => [
        'normal'            => '#00a8ff',
        'hover'             => '#00a8ff'
    ],
] );

/* Secondary Button Color Separator */
Kirki::add_field( 'aryx_config_kirki', array(
    'type'          => 'custom',
    'settings'      => 'aryx_f_secondary_button_color_separator_ss_button_colors_s_content_colors_p_colors',
    'label'         => '<div class="kirki-separator">'.esc_html__( 'Secondary Button Color', 'aryx' ).'</div>',
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 50,
) );

/* Secondary Button Text Color */
Kirki::add_field( 'aryx_config_kirki', [
    'type'          => 'multicolor',
    'settings'      => 'aryx_f_secondary_button_text_color_ss_button_colors_s_content_colors_p_colors',
    'label'         => esc_html__( 'Text Color', 'aryx' ),
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 60,
    'choices'       => [
        'normal'            => esc_html__( 'Normal', 'aryx' ),
        'hover'             => esc_html__( 'Hover', 'aryx' ),
    ],
    'default'       => [
        'normal'            => '#00a8ff',
        'hover'             => '#ffffff'
    ],
] );

/* Secondary Button Background Color */
Kirki::add_field( 'aryx_config_kirki', [
    'type'        => 'multicolor',
    'settings'    => 'aryx_f_secondary_button_background_color_ss_button_colors_s_content_colors_p_colors',
    'label'       => esc_html__( 'Backgroud Color', 'aryx' ),
    'section'     => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'    => 70,
    'choices'     => [
        'normal'            => esc_html__( 'Normal', 'aryx' ),
        'hover'             => esc_html__( 'Hover', 'aryx' ),
    ],
    'default'     => [
        'normal'            => '#ffffff',
        'hover'             => '#00a8ff'
    ],
] );

/* Secondary Button Border Color */
Kirki::add_field( 'aryx_config_kirki', [
    'type'          => 'multicolor',
    'settings'      => 'aryx_f_secondary_button_border_color_ss_button_colors_s_content_colors_p_colors',
    'label'         => esc_html__( 'Border Color', 'aryx' ),
    'section'       => 'aryx_ss_button_colors_s_content_colors_p_colors',
    'priority'      => 80,
    'choices'       => [
        'normal'            => esc_html__( 'Normal', 'aryx' ),
        'hover'             => esc_html__( 'Hover', 'aryx' ),
    ],
    'default'       => [
        'normal'            => '#00a8ff',
        'hover'             => '#00a8ff'
    ],
] );