<?php
/**
 * Aryx Customizer Footer Bar Colors Sub-Section
 * 
 * Customizer > Colors > Footer Colors > Footer Bar Colors
 *
 * @package Aryx
 */

/*
 * Footer Bar Colors Sub-Section Fields
 *
 */

/* General Footer Bar Color Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_general_footer_bar_color_separator_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'General Footer Bar Color', 'aryx' ).'</div>',
	'section' 		=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'priority' 		=> 10,
) );

/* Text Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_text_color_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> __( 'Text Color', 'aryx' ),
	'section'     	=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'default'     	=> '#000',
	'priority'    	=> 20,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Link Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_link_color_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> __( 'Link Color', 'aryx' ),
	'section'     	=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'default'     	=> '#00a8ff',
	'priority'    	=> 30,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Link Hover Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_link_hover_color_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> __( 'Link Hover Color', 'aryx' ),
	'section'     	=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'default'     	=> '#000000',
	'priority'    	=> 40,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Customize Footer Background Link */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_customize_footer_bar_background_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> '<a onclick="wp.customize.control( \'aryx_f_footer_bar_area_background_s_footer_bar_area_p_footer\' ).focus();">'.esc_html__( 'Customize Footer Bar Background', 'aryx' ).'</a>',
	'section' 		=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'priority' 		=> 50,
) );

/* Footer Menu Color Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_footer_menu_color_separator_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Footer Menu Color', 'aryx' ).'</div>',
	'section' 		=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'priority' 		=> 60,
) );

/* Menu Link Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_menu_link_color_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> __( 'Menu Link Color', 'aryx' ),
	'section'     	=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'default'     	=> '#00a8ff',
	'priority'    	=> 70,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Menu Link Hover Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_menu_link_hover_color_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> __( 'Menu Link Hover Color', 'aryx' ),
	'section'     	=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'default'     	=> '#000',
	'priority'    	=> 80,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Active Menu Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_active_menu_color_ss_footer_bar_colors_s_footer_colors_p_colors',
	'label'       	=> __( 'Active Menu Color', 'aryx' ),
	'section'     	=> 'aryx_ss_footer_bar_colors_s_footer_colors_p_colors',
	'default'     	=> '#000',
	'priority'    	=> 90,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );