<?php
/**
 * Aryx Customizer Header Colors Section
 * 
 * Customizer > Colors > Header Colors
 *
 * @package Aryx
 */

/*
 * Header Colors Section Fields
 *
 */

/* Main Menu Color Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_main_menu_color_separator_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Main Menu Color', 'aryx' ).'</div>',
	'section' 		=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'priority' 		=> 10,
) );

/* Logo Text Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_logo_text_color_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> __( 'Logo Text Color', 'aryx' ),
	'section'     	=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'default'     	=> '#000',
	'priority'    	=> 20,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Menu Link Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_menu_link_color_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> __( 'Menu Link Color', 'aryx' ),
	'section'     	=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'default'     	=> '#00a8ff',
	'priority'    	=> 30,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Menu Link Hover Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_menu_link_hover_color_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> __( 'Menu Link Hover Color', 'aryx' ),
	'section'     	=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'default'     	=> '#000',
	'priority'    	=> 40,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Active Menu Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_active_menu_color_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> __( 'Active Menu Color', 'aryx' ),
	'section'     	=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'default'     	=> '#000',
	'priority'    	=> 50,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );

/* Customize Header Background Link */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_customize_header_background_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> '<a onclick="wp.customize.control( \'aryx_f_header_background_s_header_settings_p_header\' ).focus();">'.esc_html__( 'Customize Header Background From Here', 'aryx' ).'</a>',
	'section' 		=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'priority' 		=> 60,
) );

/* Burger Menu Color Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_burger_menu_color_separator_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Burger Menu Color', 'aryx' ).'</div>',
	'section' 		=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'priority' 		=> 70,
) );

/* Burger Menu Button Color */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'color',
	'settings'    	=> 'aryx_f_burger_menu_background_color_ss_general_header_colors_s_header_colors_p_colors',
	'label'       	=> __( 'Burger Menu Background Color', 'aryx' ),
	'section'     	=> 'aryx_ss_general_header_colors_s_header_colors_p_colors',
	'default'     	=> '#fff',
	'priority'    	=> 80,
	'choices'     	=> [
		'alpha' 	=> true,
	],
] );