<?php
/**
 * Aryx Customizer Footer Bar Area Section
 * 
 * Customizer > Footer > Footer Bar Area
 *
 * @package Aryx
 */

/*
 * Footer Bar Area Section Fields
 *
 */

/* Footer Bar Area Width */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'select',
	'settings'    	=> 'aryx_f_footer_bar_area_width_s_footer_bar_area_p_footer',
	'label'       	=> esc_html__( 'Footer Bar Area Width', 'aryx' ),
	'section'     	=> 'aryx_s_footer_bar_area_p_footer',
	'default'     	=> 'container-width',
	'priority'    	=> 10,
	'multiple'    	=> 0,
	'choices'     	=> [
		'container-width' 	=> esc_html__( 'Container Width', 'aryx' ),
		'full-width' 		=> esc_html__( 'Full Width', 'aryx' ),
		'fixed-width'		=> esc_html__( 'Fixed Width', 'aryx' )
	],
] );

/* Footer Bar Area Background */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'background',
	'settings'    	=> 'aryx_f_footer_bar_area_background_s_footer_bar_area_p_footer',
	'label'			=> esc_html__( 'Footer Bar Area Background', 'aryx' ),
	'section'     	=> 'aryx_s_footer_bar_area_p_footer',
	'default'     	=> [
		'background-color'      => '#fff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'initial',
	],
	'transport'   	=> 'auto',
	'output'      	=> [
		[
			'element' 			=> '.site-info-area',
		],
	],
	'priority'    	=> 20,
] );

/* Footer Bar Area Top Border */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'toggle',
	'settings'    	=> 'aryx_f_footer_bar_area_top_border_s_footer_bar_area_p_footer',
	'label'       	=> esc_html__( 'Footer Bar Area Top Border', 'aryx' ),
	'section'     	=> 'aryx_s_footer_bar_area_p_footer',
	'default'		=> true,
	'priority'    	=> 30,
] );