<?php
/**
 * Aryx Customizer Footer Global Settings Section
 * 
 * Customizer > Footer > Footer Global Settings
 *
 * @package Aryx
 */

/*
 * Footer Global Settings Section Fields
 *
 */

/* Footer Global Layout Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_footer_global_lyaout_separator_s_footer_global_settings_p_footer',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Footer Layout', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_footer_global_settings_p_footer',
	'priority' 		=> 10,
) );

/* Footer Global Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'       	=> 'radio-image',
	'settings'    	=> 'aryx_f_footer_global_layout_s_footer_global_settings_p_footer',
	'label'       	=> esc_html__( 'Footer Global Layout', 'aryx' ),
	'section'     	=> 'aryx_s_footer_global_settings_p_footer',
	'default'     	=> 'both',
	'priority'    	=> 20,
	'choices'     	=> [
		'both'  		=> get_template_directory_uri() . '/assets/images/customizer/both-footer.png',
		'top' 			=> get_template_directory_uri() . '/assets/images/customizer/four-column.png',
		'bottom'  		=> get_template_directory_uri() . '/assets/images/customizer/both-section.png',
		'none'  		=> get_template_directory_uri() . '/assets/images/customizer/none.png',
	],
] );

/* Footer Global Background */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'background',
	'settings'    	=> 'aryx_f_footer_global_background_s_footer_global_settings_p_footer',
	'label'			=> esc_html__( 'Footer Global Background', 'aryx' ),
	'section'     	=> 'aryx_s_footer_global_settings_p_footer',
	'default'     	=> [
		'background-color'      => '#fff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'initial',
	],
	'transport'   	=> 'auto',
	'output'      	=> [
		[
			'element' 			=> 'footer#colophon',
		],
	],
	'priority'    	=> 40,
] );