<?php
/***
 * Aryx Customizer Breadcrumb Section
 *
 * Customizer > Header > Breadcrumb
 *
 * @package Aryx
 */

/*
 * Breadcrumb Section Fields
 *
 */

/* Show Breadcrumb */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'toggle',
	'settings'    	=> 'aryx_f_show_breadcrumb_s_breadcrumb_p_header',
	'label'       	=> esc_html__( 'Show Breadcrumb?', 'aryx' ),
	'section'     	=> 'aryx_s_breadcrumb_p_header',
	'default'		=> '1',
	'priority'    	=> 10,
] );

/* Breadcrumb Separator */
Kirki::add_field( 'aryx_config_kirki', [
	'type'     		=> 'text',
	'settings' 		=> 'aryx_f_breadcrumb_separator_s_breadcrumb_p_header',
	'label'    		=> esc_html__( 'Breadcrumb Separator', 'aryx' ),
	'section'  		=> 'aryx_s_breadcrumb_p_header',
	'default'  		=> esc_html__( '>>', 'aryx' ),
	'priority' 		=> 20,
] );

/* Breadcrumb Spacing */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'slider',
	'settings'    	=> 'aryx_f_breadcrumb_spacing_s_breadcrumb_p_header',
	'label'       	=> esc_html__( 'Breadcrumb Spacing', 'aryx' ),
	'section'     	=> 'aryx_s_breadcrumb_p_header',
	'default'     	=> 12,
	'choices'     	=> [
		'min'  			=> 0,
		'max'  			=> 200,
		'step' 			=> 1,
	],
	'priority'    	=> 30,
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        	=> 'custom',
// 	'settings'    	=> 'f_aryx_pro_s_breadcrumb_p_header',
// 	'section'     	=> 'aryx_s_breadcrumb_p_header',
// 	'default'     	=> '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    	=> 200,
// ] );