<?php
/***
 * Aryx Customizer Header Settings Section
 *
 * Customizer > Header > Header Settings
 *
 * @package Aryx
 */

/*
 * Header Settings Section Fields
 *
 */

/* Header Layout Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_header_layout_separator_s_header_settings_p_header',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Header Layout', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_header_settings_p_header',
	'priority' 		=> 10,
) );

/* Header Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'radio-image',
	'settings'    	=> 'aryx_f_header_layout_s_header_settings_p_header',
	'label'       	=> esc_html__( 'Header Layout', 'aryx' ),
	'section'     	=> 'aryx_s_header_settings_p_header',
	'default'     	=> 'left',
	'priority'    	=> 20,
	'choices'     	=> [
		'left'   				=> get_template_directory_uri() . '/assets/images/customizer/logo-left-menu-right.png',
		'center' 				=> get_template_directory_uri() . '/assets/images/customizer/logo-top-menu-bottom.png',
		'right'  				=> get_template_directory_uri() . '/assets/images/customizer/logo-right-menu-left.png',
		'none'  				=> get_template_directory_uri() . '/assets/images/customizer/none.png',
	],
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        	=> 'custom',
// 	'settings'    	=> 'f_aryx_pro_header_s_header_settings_p_header',
// 	'section'     	=> 'aryx_s_header_settings_p_header',
// 	'default'     	=> '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Header Layouts in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    	=> 30,
// ] );

/* Header Dimension Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_header_dimension_separator_s_header_settings_p_header',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Header Dimension', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_header_settings_p_header',
	'priority' 		=> 40,
) );

/* Header Width */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'select',
	'settings'    	=> 'aryx_f_header_width_s_header_settings_p_header',
	'label'       	=> esc_html__( 'Header Width', 'aryx' ),
	'section'     	=> 'aryx_s_header_settings_p_header',
	'default'     	=> 'container-width',
	'priority'    	=> 50,
	'multiple'    	=> 0,
	'choices'     	=> [
		'container-width' 		=> esc_html__( 'Container Width', 'aryx' ),
		'full-width' 			=> esc_html__( 'Full Width', 'aryx' ),
		'fixed-width'			=> esc_html__( 'Fixed Width', 'aryx' )
	],
] );

/* Header Height */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'number',
	'settings'    	=> 'aryx_f_header_height_s_header_settings_p_header',
	'label'       	=> esc_html__( 'Header Height', 'aryx' ),
	'section'     	=> 'aryx_s_header_settings_p_header',
	'choices'     	=> [
		'min'  					=> 0,
		'max'  					=> 1000,
		'step' 					=> 1,
	],
	'priority'	  	=> 60,
] );

/* Logo Width */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'number',
	'settings'    	=> 'aryx_f_logo_width_s_header_settings_p_header',
	'label'       	=> esc_html__( 'Logo Width', 'aryx' ),
	'section'     	=> 'aryx_s_header_settings_p_header',
	'default'		=> 200,
	'choices'     	=> [
		'min'  					=> 0,
		'max'  					=> 1920,
		'step' 					=> 1,
	],
	'priority'	  	=> 70,
] );

/* Header Color & Background Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_header_background_separator_s_header_settings_p_header',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Color & Background', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_header_settings_p_header',
	'priority' 		=> 80,
) );

/* Header Background */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'background',
	'settings'    	=> 'aryx_f_header_background_s_header_settings_p_header',
	'label'       	=> esc_html__( 'Header Background', 'aryx' ),
	'section'     	=> 'aryx_s_header_settings_p_header',
	'default'     	=> [
		'background-color'      => '#ffffff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   	=> 'auto',
	'output'      	=> [
		[
			'element' 			=> 'nav#primary-nav',
		],
	],
	'priority'	 	=> 90,
] );

/* Header Bottom Border Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_header_bottom_border_separator_s_header_settings_p_header',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Header Bottom Border', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_header_settings_p_header',
	'priority' 		=> 100,
) );

/* Show Bottom Border Enabler */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'toggle',
	'settings'    	=> 'aryx_f_bottom_border_enabler_s_header_settings_p_header',
	'label'       	=> esc_html__( 'Show?', 'aryx' ),
	'section'     	=> 'aryx_s_header_settings_p_header',
	'default'		=> '1',
	'priority'    	=> 110,
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        	=> 'custom',
// 	'settings'    	=> 'f_aryx_pro_s_header_settings_p_header',
// 	'section'     	=> 'aryx_s_header_settings_p_header',
// 	'default'     	=> '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    	=> 200,
// ] );