<?php
/**
 * Aryx Customizer Layouts Container Section
 * 
 * Customizer > Layouts > Container
 *
 * @package Aryx
 */

/*
 * Container Section Fields
 *
 */

/* Container Width */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'slider',
	'settings'    => 'aryx_f_container_width_s_container_p_layout',
	'label'       => esc_html__( 'Container Width (in pixels)', 'aryx' ),
	'section'     => 'aryx_s_container_p_layout',
	'default'     => 1140,
	'priority'    => 10,
	'choices'     => [
		'min'  			=> 0,
		'max'  			=> 1920,
		'step' 			=> 1,
	],
] );

/* Default Content Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_default_content_layout_s_container_p_layout',
	'label'       => esc_html__( 'Default Content Layout', 'aryx' ),
	'section'     => 'aryx_s_container_p_layout',
	'default'     => 'fixed-width',
	'priority'    => 20,
	'multiple'    => 0,
	'choices'     => [
		'fixed-width' 	=> esc_html__( 'Fixed Width', 'aryx' ),
		'full-width' 	=> esc_html__( 'Full Width', 'aryx' )
	],
] );

/* Page Content Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_page_content_layout_s_container_p_layout',
	'label'       => esc_html__( 'Page Content Layout', 'aryx' ),
	'section'     => 'aryx_s_container_p_layout',
	'default'     => 'default-width',
	'priority'    => 30,
	'multiple'    => 0,
	'choices'     => [
		'default-width' => esc_html__( 'Default Content Layout', 'aryx' ),
		'fixed-width' 	=> esc_html__( 'Fixed Width', 'aryx' ),
		'full-width' 	=> esc_html__( 'Full Width', 'aryx' )
	],
] );

/* Post Content Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_post_content_layout_s_container_p_layout',
	'label'       => esc_html__( 'Post Content Layout', 'aryx' ),
	'section'     => 'aryx_s_container_p_layout',
	'default'     => 'default-width',
	'priority'    => 40,
	'multiple'    => 0,
	'choices'     => [
		'default-width' => esc_html__( 'Default Content Layout', 'aryx' ),
		'fixed-width' 	=> esc_html__( 'Fixed Width', 'aryx' ),
		'full-width' 	=> esc_html__( 'Full Width', 'aryx' )
	],
] );

/* Archive Content Layout */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'select',
	'settings'    => 'aryx_f_archive_content_layout_s_container_p_layout',
	'label'       => esc_html__( 'Archive Content Layout', 'aryx' ),
	'section'     => 'aryx_s_container_p_layout',
	'default'     => 'default-width',
	'priority'    => 50,
	'multiple'    => 0,
	'choices'     => [
		'default-width' => esc_html__( 'Default Content Layout', 'aryx' ),
		'fixed-width' 	=> esc_html__( 'Fixed Width', 'aryx' ),
		'full-width' 	=> esc_html__( 'Full Width', 'aryx' )
	],
] );

/* More Features In Aryx Pro */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'custom',
	'settings'    => 'f_aryx_pro_s_container_p_layout',
	'section'     => 'aryx_s_container_p_layout',
	'default'     => '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
	'priority'    => 200,
] );
