<?php
/**
 * Aryx Customizer SEO Settings Section
 * Customizer > SEO > SEO Settings
 * @package Aryx
 */

/*
 * SEO Settings Fields
 */

/* Enable Aryx SEO */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        	=> 'toggle',
	'settings'    	=> 'aryx_f_enable_homepage_seo_s_homepage_seo_settings_p_seo',
	'label'       	=> esc_html__( 'Enable SEO', 'aryx' ),
	'section'     	=> 'aryx_s_homepage_seo_settings_p_seo',
	'default'     	=> '1',
	'priority'    	=> 10,
] );

/* Homepage SEO Settings Separator */
Kirki::add_field( 'aryx_config_kirki', array(
	'type' 			=> 'custom',
	'settings' 		=> 'aryx_f_seo_settings_separator_s_homepage_seo_settings_p_seo',
	'label'       	=> '<div class="kirki-separator">'.esc_html__( 'Homepage SEO Settings', 'aryx' ).'</div>',
	'section' 		=> 'aryx_s_homepage_seo_settings_p_seo',
	'priority' 		=> 20,
) );

/* SEO Focus Keyword */
Kirki::add_field( 'aryx_config_kirki', [
	'type'     		=> 'text',
	'settings' 		=> 'aryx_f_seo_focus_keyword_s_homepage_seo_settings_p_seo',
	'label'    		=> esc_html__( 'SEO Focus Keyword', 'aryx' ),
	'description'	=> 'The search term or keyphrage that you want your site to rank for.',
	'section'  		=> 'aryx_s_homepage_seo_settings_p_seo',
	'priority' 		=> 30,
] );

/* SEO Meta Title */
Kirki::add_field( 'aryx_config_kirki', [
	'type'     		=> 'text',
	'settings' 		=> 'aryx_f_seo_meta_title_s_homepage_seo_settings_p_seo',
	'label'    		=> esc_html__( 'SEO Meta Title', 'aryx' ),
	'description'	=> 'Please try to keep the meta title length under 60 characters as per Google snippet viewable limit.',
	'section'  		=> 'aryx_s_homepage_seo_settings_p_seo',
	'priority' 		=> 40,
] );

/* SEO Meta Description */
Kirki::add_field( 'aryx_config_kirki', [
	'type'     		=> 'textarea',
	'settings' 		=> 'aryx_f_seo_meta_description_s_homepage_seo_settings_p_seo',
	'label'    		=> esc_html__( 'SEO Meta Description', 'aryx' ),
	'description'	=> 'Please try to keep the meta description length between 150-160 characters as per Google snippet viewable limit.',
	'section'  		=> 'aryx_s_homepage_seo_settings_p_seo',
	'priority' 		=> 50,
] );