<?php
/**
 * Aryx Customizer SEO Verification Section
 * Customizer > SEO > Site Verification
 * @package Aryx
 */

/*
 * Site Verification Fields
 */
/* Google Site Verification */
Kirki::add_field( 'aryx_config_kirki', [
	'type'     		=> 'text',
	'settings' 		=> 'aryx_f_google_s_verification_p_seo',
	'label'    		=> esc_html__( 'Google Meta Tag', 'aryx' ),
	'description' 	=> 'Paste your Google Site Verification Meta Tag Content Value.<br>e.g. &lt;meta name=&quot;google-site-verification&quot; content=&quot;<span style="font-weight: bold; color:green;">XX-XXXX_XXX-XXXX</span>&quot; /&gt;',
	'section'  		=> 'aryx_s_verification_p_seo',
	'priority' 		=> 10,
] );

/* Bing Site Verification */
Kirki::add_field( 'aryx_config_kirki', [
	'type'     		=> 'text',
	'settings' 		=> 'aryx_f_bing_s_verification_p_seo',
	'label'    		=> esc_html__( 'Bing Meta Tag', 'aryx' ),
	'description' 	=> 'Paste your Bing Site Verification Meta Tag Content Value.<br>e.g. &lt;meta name=&quot;msvalidate.01&quot; content=&quot;<span style="font-weight: bold; color:green;">XX-XXXX_XXX-XXXX</span>&quot; /&gt;',
	'section'  		=> 'aryx_s_verification_p_seo',
	'priority' 		=> 20,
] );