<?php
/**
 * Aryx Customizer Typography Content Section
 * 
 * Customizer > Typography > Content
 *
 * @package Aryx
 */

/*
 * Heading Typography Section Fields
 *
 */

/* H1 Typography */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'typography',
	'settings'    => 'aryx_f_h1_typography_s_base_typography_p_typography',
	'label'       => esc_html__( 'H1', 'aryx' ),
	'section'     => 'aryx_s_heading_typography_p_typography',
	'default'     => [
		'font-family'    => 'Poppins',
		'variant'        => '600',
		'font-size'      => '57.22px',
		'line-height'    => '1.5',
		'letter-spacing' => 'normal',
		'text-transform' => 'none',
	],
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => 'h1',
		],
	],
] );

/* H2 Typography */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'typography',
	'settings'    => 'aryx_f_h2_typography_s_base_typography_p_typography',
	'label'       => esc_html__( 'H2', 'aryx' ),
	'section'     => 'aryx_s_heading_typography_p_typography',
	'default'     => [
		'font-family'    => 'Poppins',
		'variant'        => '500',
		'font-size'      => '45.78px',
		'line-height'    => '1.5',
		'letter-spacing' => 'normal',
		'text-transform' => 'none',
	],
	'priority'    => 20,
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => 'h2',
		],
	],
] );

/* H3 Typography */
Kirki::add_field( 'aryx_config_kirki', [
	'type'        => 'typography',
	'settings'    => 'aryx_f_h3_typography_s_base_typography_p_typography',
	'label'       => esc_html__( 'H3', 'aryx' ),
	'section'     => 'aryx_s_heading_typography_p_typography',
	'default'     => [
		'font-family'    => 'Poppins',
		'variant'        => '500',
		'font-size'      => '36.62px',
		'line-height'    => '1.5',
		'letter-spacing' => 'normal',
		'text-transform' => 'none',
	],
	'priority'    => 30,
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => 'h3',
		],
	],
] );

// /* More Features In Aryx Pro */
// Kirki::add_field( 'aryx_config_kirki', [
// 	'type'        	=> 'custom',
// 	'settings'    	=> 'f_aryx_pro_s_heading_typography_p_typography',
// 	'section'     	=> 'aryx_s_heading_typography_p_typography',
// 	'default'     	=> '<div class="aryx-pro-notice"><a href="#">' . esc_html__( 'Get More Customizer Options in Aryx Pro', 'aryx' ) . '</a></div>',
// 	'priority'    	=> 200,
// ] );