<?php
/**
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for parent theme Aryx for publication on WordPress.org
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

add_action( 'tgmpa_register', 'aryx_register_required_plugins' );

/**
 * Register the required plugins for Aryx.
 */
function aryx_register_required_plugins() {

	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	if(isset($_COOKIE['aryx_launcher_site'])) {
		$aryx_launcher_site = $_COOKIE['aryx_launcher_site'];
	} else {
		$aryx_launcher_site = '';
	}

	$plugins = array();

	switch ($aryx_launcher_site) {
	    case "fashion-store":
			array_push($plugins,
				array(
					'name'      => 'Woocommerce',
					'slug'      => 'woocommerce',
					'required'  => true,
				),
				array(
					'name'      => 'Elementor Page Builder',
					'slug'      => 'elementor',
					'required'  => true,
				),
				array(
					'name'      => 'Contact Form 7',
					'slug'      => 'contact-form-7',
					'required'  => true,
				)
			);
	        break;
	    case "bbq-restaurant":
			array_push($plugins,
				array(
					'name'      => 'Elementor Page Builder',
					'slug'      => 'elementor',
					'required'  => true,
				),
				array(
					'name'      => 'Contact Form 7',
					'slug'      => 'contact-form-7',
					'required'  => true,
				)
			);
	        break;
	    case "digital-marketing-agency":
			array_push($plugins,
				array(
					'name'      => 'Elementor Page Builder',
					'slug'      => 'elementor',
					'required'  => true,
				),
				array(
					'name'      => 'Contact Form 7',
					'slug'      => 'contact-form-7',
					'required'  => true,
				)
			);
	        break;
	    case "travel-agency":
			array_push($plugins,
				array(
					'name'      => 'Elementor Page Builder',
					'slug'      => 'elementor',
					'required'  => true,
				),
				array(
					'name'      => 'Contact Form 7',
					'slug'      => 'contact-form-7',
					'required'  => true,
				)
			);
	        break;
	    case "interior-designer-portfolio":
			array_push($plugins,
				array(
					'name'      => 'Elementor Page Builder',
					'slug'      => 'elementor',
					'required'  => true,
				),
				array(
					'name'      => 'Contact Form 7',
					'slug'      => 'contact-form-7',
					'required'  => true,
				)
			);
	        break;
	    case "personal-portfolio":
			array_push($plugins,
				array(
					'name'      => 'Elementor Page Builder',
					'slug'      => 'elementor',
					'required'  => true,
				),
				array(
					'name'      => 'Contact Form 7',
					'slug'      => 'contact-form-7',
					'required'  => true,
				)
			);
	        break;
	}

	/*
	 * Array of configuration settings. Amend each line as needed.
	 */
	$config = array(
		'id'           => 'aryx',
		'default_path' => '',
		'menu'         => 'aryx-install-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );
}
