<?php
/**
 * The template for displaying all pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aryx
 * @since 1.0
 */
get_header();
?>
	<?php
		$inpage_content_layout = get_post_meta( $post->ID, 'aryx_content_layout', true );
		$page_content_layout = get_theme_mod( 'aryx_f_page_content_layout_s_container_p_layout', 'default-width' );
		$default_content_layout = get_theme_mod( 'aryx_f_default_content_layout_s_container_p_layout', 'fixed-width' );
		$show_breadcrumb = get_theme_mod( 'aryx_f_show_breadcrumb_s_breadcrumb_p_header', '1' );
		if ( ! $inpage_content_layout || $inpage_content_layout == 'customizer-default' ) {
			if ( $page_content_layout == 'default-width' ) {
				if ( $default_content_layout == 'fixed-width' ) {
					echo '<div class="container">';
				} elseif ( $default_content_layout == 'full-width' ) {
					echo '<div class="container-fluid">';
				}
			} elseif ( $page_content_layout == 'fixed-width' ) {
				echo '<div class="container">';
			} elseif ( $page_content_layout == 'full-width' ) {
				echo '<div class="container-fluid">';
			}
		} elseif ( $inpage_content_layout == 'boxed' ) {
			echo '<div class="container">';
		} elseif ( $inpage_content_layout == 'full-width' ) {
			echo '<div class="container-fluid">';
		}
	?>
		<?php $show_breadcrumb == 1 ? aryx_breadcrumb() : '' ?>
		<div class="row">
			<?php
				$inpage_sidebar_layout = get_post_meta( $post->ID, 'aryx_sidebar', true );
				$default_sidebar_layout = get_theme_mod( 'aryx_f_default_sidebar_layout_s_sidebar_p_layout', 'right-sidebar' );
				$page_sidebar_layout = get_theme_mod( 'aryx_f_page_sidebar_layout_s_sidebar_p_layout', 'right-sidebar' );
				/* Check if left sidebar is selected and output accordingly */
				if ( ! $inpage_sidebar_layout || $inpage_sidebar_layout == 'customizer-default' ) {
					if ( $page_sidebar_layout == 'default-sidebar' ) {
						if ( $default_sidebar_layout == 'left-sidebar' ) {
							get_sidebar();
						}
					} elseif ( $page_sidebar_layout == 'left-sidebar' ) {
						get_sidebar();
					}
				} elseif( $inpage_sidebar_layout == 'left-sidebar' ) {
					get_sidebar();
				}
				/* Content Area Col Class */
				if ( ! $inpage_sidebar_layout || $inpage_sidebar_layout == 'customizer-default' ) {
					if ( $page_sidebar_layout == 'default-sidebar' ) {
						if ( $default_sidebar_layout == 'left-sidebar' || $default_sidebar_layout == 'right-sidebar' ) {
							$content_area_class = 'col-md-9';
						} else {
							$content_area_class = 'col-md-12';
						}
					} elseif ( $page_sidebar_layout == 'left-sidebar' || $page_sidebar_layout == 'right-sidebar' ) {
						$content_area_class = 'col-md-9';
					} else {
						$content_area_class = 'col-md-12';
					}
				} elseif( $inpage_sidebar_layout == 'left-sidebar' || $inpage_sidebar_layout == 'right-sidebar' || $inpage_sidebar_layout == 'default-sidebar' ) {
					$content_area_class = 'col-md-9';
				} else {
					$content_area_class = 'col-md-12';
				}
			?>
			<div id="primary content" class="content-area <?php echo $content_area_class; ?>">
				<?php
					while ( have_posts() ) {
						the_post();
						get_template_part( 'template-parts/content', 'page' );
						if ( comments_open() || get_comments_number() ) {
							comments_template();
						}
					}
				?>
			</div><!-- /#primary -->
			<?php
				/* Check if right sidebar is selected and output accordingly */
				if ( ! $inpage_sidebar_layout || $inpage_sidebar_layout == 'customizer-default' ) {
					if ( $page_sidebar_layout == 'default-sidebar' ) {
						if ( $default_sidebar_layout == 'right-sidebar' ) {
							get_sidebar();
						}
					} elseif ( $page_sidebar_layout == 'right-sidebar' ) {
						get_sidebar();
					}
				} elseif( $inpage_sidebar_layout == 'right-sidebar' ) {
					get_sidebar();
				}
			?>
		</div> <!-- /.row -->
	</div> <!-- /.container (/.container-fluid) -->
<?php
get_footer();