<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Aryx
 * @since 1.0
 */
get_header();
?>
	<?php
		$default_content_layout = get_theme_mod( 'aryx_f_default_content_layout_s_container_p_layout', 'fixed-width' );
		$archive_content_layout = get_theme_mod( 'aryx_f_archive_content_layout_s_container_p_layout', 'default-width' );
		$show_breadcrumb = get_theme_mod( 'aryx_f_show_breadcrumb_s_breadcrumb_p_header', '1' );
		if ( $archive_content_layout == 'default-width' ) {
			if ( $default_content_layout == 'fixed-width' ) {
				echo '<div class="container">';
			} elseif ( $default_content_layout == 'full-width' ) {
				echo '<div class="container-fluid">';
			}
		} elseif ( $archive_content_layout == 'fixed-width' ) {
			echo '<div class="container">';
		} elseif ( $archive_content_layout == 'full-width' ) {
			echo '<div class="container-fluid">';
		}
	?>
		<?php $show_breadcrumb == 1 ? aryx_breadcrumb() : '' ?>
		<div class="row">
			<?php
				$global_archive_sidebar_layout = get_theme_mod( 'aryx_f_archive_sidebar_layout_s_sidebar_p_layout', '' );
				$global_default_sidebar_layout = get_theme_mod( 'aryx_f_default_sidebar_layout_s_sidebar_p_layout', 'right-sidebar' );
				/* Check if left sidebar is selected and output accordingly */
				if ( $global_archive_sidebar_layout == '' ) {
					if ( $global_default_sidebar_layout == 'left-sidebar' ) {
						get_sidebar();
					}
				} elseif ( $global_archive_sidebar_layout == 'left-sidebar' ) {
					get_sidebar();
				}
				/* Content Area Col Class */
				if ( $global_archive_sidebar_layout == '' ) {
					if ( $global_default_sidebar_layout == 'left-sidebar' || $global_default_sidebar_layout == 'right-sidebar' ) {
						$content_area_class = 'col-md-9';
					} else {
						$content_area_class = 'col-md-12';
					}
				} elseif ( $global_archive_sidebar_layout == 'left-sidebar' || $global_archive_sidebar_layout == 'right-sidebar' ) {
					$content_area_class = 'col-md-9';
				} else {
					$content_area_class = 'col-md-12';
				}
			?>
			<div id="primary content" class="content-area <?php echo $content_area_class; ?>">
				<?php
					$disable_title = get_post_meta( !empty($post->ID) ? $post->ID : '', 'aryx_disable_title', true );
					if ( $disable_title != 'disabled' ) {			
				?>
						<header class="entry-header">
							<p class="archive-term">
								<?php
									esc_html_e( 'Search Results', 'aryx' );
								?>
							</p>
							<h2 class="entry-title">
								<?php
									/* translators: %s: search term */ 
									printf( esc_html__( 'Search Term: %s', 'aryx' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h2>
						</header>
					<?php
					}
				if ( have_posts() ) {
					while ( have_posts() ) {
						the_post();
						get_template_part( 'template-parts/content-search', get_post_type() );
					}
				} else {
					get_template_part( 'template-parts/content', 'none' );
				} ?>
			</div> <!-- /#primary -->
			<?php
				/* Check if right sidebar is selected and output accordingly */
				if ( $global_archive_sidebar_layout == '' ) {
					if ( $global_default_sidebar_layout == 'right-sidebar' ) {
						get_sidebar();
					}
				} elseif ( $global_archive_sidebar_layout == 'right-sidebar' ) {
					get_sidebar();
				}
			?>
		</div> <!-- /.row -->
	</div> <!-- /.container (/.container-fluid) -->
<?php
get_footer();