<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aryx
 * @since 1.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php aryx_post_thumbnail(); ?>

	<?php
		$disable_title = get_post_meta( $post->ID, 'aryx_disable_title', true );
		if ( $disable_title != 'disabled' ) {			
	?>
			<header class="entry-header">

				<h2 class="entry-title"><?php echo is_single() ? get_the_title() : '<a href="' . get_the_permalink() . '">' . get_the_title() . '</a>'; ?></h2>

				<div class="entry-meta">
					<?php
						aryx_entry_meta();
					?>
				</div><!-- /.entry-meta -->
			</header>
	<?php
		}
	?>	

	<div class="entry-content">
		<?php
			if( is_single() ) {
				the_content( '<button class="btn btn-secondary read-more">' . __( 'Continue Reading', 'aryx' ) . '</button>' );
				wp_link_pages( array(
				            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'aryx' ),
				            'after'  => '</div>',
				        	) );
			} else {
				the_excerpt();
                echo '<a href="' . esc_url( get_permalink() ) . '"><button class="btn btn-secondary read-more">' . __( 'Continue Reading', 'aryx' ) . '</button></a>';
			}
		?>
	</div><!-- /.entry-content -->

</article><!-- /#post-<?php the_ID(); ?> -->
