<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aryx
 * @since 1.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
		$disable_title = get_post_meta( $post->ID, 'aryx_disable_title', true );
		if ( $disable_title != 'disabled' ) {			
	?>
			<header class="entry-header">
				<?php
				if ( is_single() ) {
					$template_parts = get_theme_mod( 'aryx_f_archive_entry_header_s_single_post_p_blog', array( 
						'post-thumbnail',
						'entry-title',
						'entry-meta'
					) );
					foreach ( $template_parts as $template_part ) {
						get_template_part( 'template-parts/partials/' . $template_part );
					}
				} else {
					$template_parts = get_theme_mod( 'aryx_f_archive_entry_header_s_blog_archive_p_blog', array( 
						'post-thumbnail',
						'entry-title',
						'entry-meta'
					) );
					foreach ( $template_parts as $template_part ) {
						get_template_part( 'template-parts/partials/' . $template_part );
					}
				}
				?>
			</header>
	<?php
		}
	?>	
	<div class="entry-content">
		<?php
			if( is_single() ) {
				the_content( '<button class="btn btn-secondary read-more">' . __( 'Continue Reading', 'aryx' ) . '</button>' );
				wp_link_pages( array(
				            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'aryx' ),
				            'after'  => '</div>',
				        	) );
			} elseif ( is_home() || is_archive() ) {
				$content_size = get_theme_mod( 'aryx_f_archive_content_length_s_blog_archive_p_blog', 'excerpt' );
				if ($content_size == 'excerpt') {
					the_excerpt();
                    echo '<a href="' . esc_url( get_permalink() ) . '"><button class="btn btn-secondary read-more">' . __( 'Continue Reading', 'aryx' ) . '</button></a>';
				} else {
					the_content();
				}
			} else {
				the_excerpt();
                echo '<a href="' . esc_url( get_permalink() ) . '"><button class="btn btn-secondary read-more">' . __( 'Continue Reading', 'aryx' ) . '</button></a>';
			}
		?>
	</div><!-- /.entry-content -->
</article><!-- /#post-<?php the_ID(); ?> -->