<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

	<?php
		$inpost_content_layout = get_post_meta( $post->ID, 'aryx_content_layout', true );
		$post_content_layout = get_theme_mod( 'aryx_f_post_content_layout_s_container_p_layout', 'default-width' );
		$default_content_layout = get_theme_mod( 'aryx_f_default_content_layout_s_container_p_layout', 'fixed-width' );
		$show_breadcrumb = get_theme_mod( 'aryx_f_show_breadcrumb_s_breadcrumb_p_header', '1' );
		if ( ! $inpost_content_layout || $inpost_content_layout == 'customizer-default' ) {
			if ( $post_content_layout == 'default-width' ) {
				if ( $default_content_layout == 'fixed-width' ) {
					echo '<div class="container">';
				} elseif ( $default_content_layout == 'full-width' ) {
					echo '<div class="container-fluid">';
				}
			} elseif ( $post_content_layout == 'fixed-width' ) {
				echo '<div class="container">';
			} elseif ( $post_content_layout == 'full-width' ) {
				echo '<div class="container-fluid">';
			}
		} elseif ( $inpost_content_layout == 'boxed' ) {
			echo '<div class="container">';
		} elseif ( $inpost_content_layout == 'full-width' ) {
			echo '<div class="container-fluid">';
		}
	?>
		<?php $show_breadcrumb == 1 ? woocommerce_breadcrumb() : '' ?>
		<div class="row">
			<?php
				$inpost_sidebar_layout = get_post_meta( $post->ID, 'aryx_sidebar', true );
				$default_sidebar_layout = get_theme_mod( 'aryx_f_default_sidebar_layout_s_sidebar_p_layout', 'right-sidebar' );
				$post_sidebar_layout = get_theme_mod( 'aryx_f_post_sidebar_layout_s_sidebar_p_layout', 'default-sidebar' );
				/* Check if left sidebar is selected and output accordingly */
				if ( ! $inpost_sidebar_layout || $inpost_sidebar_layout == 'customizer-default' ) {
					if ( $post_sidebar_layout == 'default-sidebar' ) {
						if ( $default_sidebar_layout == 'left-sidebar' ) {
							get_sidebar();
						}
					} elseif ( $post_sidebar_layout == 'left-sidebar' ) {
						get_sidebar();
					}
				} elseif( $inpost_sidebar_layout == 'left-sidebar' ) {
					get_sidebar();
				}
				/* Content Area Col Class */
				if ( ! $inpost_sidebar_layout || $inpost_sidebar_layout == 'customizer-default' ) {
					if ( $post_sidebar_layout == 'default-sidebar' ) {
						if ( $default_sidebar_layout == 'left-sidebar' || $default_sidebar_layout == 'right-sidebar' ) {
							$content_area_class = 'col-md-9';
						} else {
							$content_area_class = 'col-md-12';
						}
					} elseif ( $post_sidebar_layout == 'left-sidebar' || $post_sidebar_layout == 'right-sidebar' ) {
						$content_area_class = 'col-md-9';
					} else {
						$content_area_class = 'col-md-12';
					}
				} elseif( $inpost_sidebar_layout == 'left-sidebar' || $inpost_sidebar_layout == 'right-sidebar' || $inpost_sidebar_layout == 'default-sidebar' ) {
					$content_area_class = 'col-md-9';
				} else {
					$content_area_class = 'col-md-12';
				}
			?>
			<div id="primary content" class="content-area <?php echo $content_area_class; ?>">

	<?php
		/**
		 * woocommerce_before_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		//do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : ?>
			<?php the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>

	<?php
		/**
		 * woocommerce_after_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		//do_action( 'woocommerce_after_main_content' );
	?>

	<?php
		/**
		 * woocommerce_sidebar hook.
		 *
		 * @hooked woocommerce_get_sidebar - 10
		 */
		//do_action( 'woocommerce_sidebar' );
	?>
	</div><!-- /#primary -->
			<?php
				/* Check if right sidebar is selected and output accordingly */
				if ( ! $inpost_sidebar_layout || $inpost_sidebar_layout == 'customizer-default' ) {
					if ( $post_sidebar_layout == 'default-sidebar' ) {
						if ( $default_sidebar_layout == 'right-sidebar' ) {
							get_sidebar();
						}
					} elseif ( $post_sidebar_layout == 'right-sidebar' ) {
						get_sidebar();
					}
				} elseif( $inpost_sidebar_layout == 'right-sidebar' ) {
					get_sidebar();
				}
			?>

		</div> <!-- /.row -->
	</div> <!-- /.container (/.container-fluid) -->
<?php
get_footer( 'shop' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
